Subject: [oauth-ext-review] [IANA #1191719] expert review for draft-ietf-ace-oscore-profile-17 (oauth-parameters)

From: "Amanda Baber via RT" <[email-masked]>
Date: Tue, 06 Apr 2021 21:49:53 +0000

Hi Hannes,

Resending this message:

Should this name be changed to "client-rs response"?

thanks,
Amanda

On Tue Mar 23 19:55:34 2021, amanda.baber wrote:
> Hi Hannes,
> 
> A response from Francesca Palombini:
> 
> ===
> 
> The reasoning behind using "rs-client response" is that we were
> implicitly indicating the direction of the response (from the resource
> server to the client). We can definitely change to "client-rs
> response" if the expert and my co-authors agree that it's a better
> choice.
> 
> ===
> 
> Best regards,
> 
> Amanda Baber
> Lead IANA Services Specialist
> 
> On Tue Mar 23 08:15:27 2021, [email-masked] wrote:
> > Hi Amanda,
> >
> > I also reviewed the request for adding the nonce1, nonce2,
> > ace_client_recipientid, and ace_server_recipientid parameters to the
> > OAuth parameter registry.
> >
> > I am only wondering about the names for the parameter location. The
> > communication between the client and the resource server is typically
> > referred to as the protected resource request and response.
> >
> > In the IANA registration request the parameter location is called
> > "client-rs request" while the response is called "rs-client
> > response".
> > I would have expected to see a "client-rs response" instead of the
> > "rs-client response".
> >
> > Ciao
> > Hannes
> >
> > -----Original Message-----
> > From: oauth-ext-review <[email-masked]> On Behalf
> > Of Amanda Baber via RT
> > Sent: Wednesday, March 17, 2021 3:03 AM
> > Cc: [email-masked]; Hannes Tschofenig
> > <[email-masked]>
> > Subject: [oauth-ext-review] [IANA #1191719] expert review for draft-
> > ietf-ace-oscore-profile-17 (oauth-parameters)
> >
> > Hi Hannes (cc: [email-masked]),
> >
> > I have another review request for you. Can you look at these OAuth
> > Parameter registrations for us by Wednesday the 24th? This document's
> > on the IESG telechat agenda next week:
> >
> > https://datatracker.ietf.org/doc/html/draft-ietf-ace-oscore-profile
> >
> > These are the registrations as they appear in the document:
> >
> > 9.2.  OAuth Parameters Registry
> >
> > The following registrations are done for the OAuth Parameters
> > Registry following the procedure specified in section 11.2 of
> > [RFC6749]:
> >
> > o  Parameter name: nonce1
> > o  Parameter usage location: client-rs request
> > o  Change Controller: IESG
> > o  Specification Document(s): [[this specification]]
> >
> > o  Parameter name: nonce2
> > o  Parameter usage location: rs-client response
> > o  Change Controller: IESG
> > o  Specification Document(s): [[this specification]]
> >
> > o  Parameter name: ace_client_recipientid
> > o  Parameter usage location: client-rs request
> > o  Change Controller: IESG
> > o  Specification Document(s): [[this specification]]
> >
> > o  Parameter name: ace_server_recipientid
> > o  Parameter usage location: rs-client response
> > o  Change Controller: IESG
> > o  Specification Document(s): [[this specification]]
> >
> > thanks,
> >
> > Amanda Baber
> > Lead IANA Services Specialist
> >
> > _______________________________________________
> > oauth-ext-review mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/oauth-ext-review
> > IMPORTANT NOTICE: The contents of this email and any attachments are
> > confidential and may also be privileged. If you are not the intended
> > recipient, please notify the sender immediately and do not disclose
> > the contents to any other person, use it for any purpose, or store or
> > copy the information in any medium. Thank you.

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 7 Apr 2021 14:27:23 +0000

That would be fine for me.

-----Original Message-----
From: Amanda Baber via RT <[email-masked]>
Sent: Tuesday, April 6, 2021 11:50 PM
Cc: [email-masked]; Hannes Tschofenig <[email-masked]>
Subject: [IANA #1191719] expert review for draft-ietf-ace-oscore-profile-17 (oauth-parameters)

Hi Hannes,

Resending this message:

thanks,
Amanda

On Tue Mar 23 19:55:34 2021, amanda.baber wrote:
> > communication between the client and the resource server is
> > typically referred to as the protected resource request and response.
> >
> > Parameter registrations for us by Wednesday the 24th? This
> > document's on the IESG telechat agenda next week:
> >
> > o  Parameter usage location: client-rs request o  Change Controller:
> > IESG o  Specification Document(s): [[this specification]]
> >
> > o  Parameter name: nonce2
> > o  Parameter usage location: rs-client response o  Change
> > Controller: IESG o  Specification Document(s): [[this
> > specification]]
> >
> > o  Parameter name: ace_client_recipientid o  Parameter usage
> > location: client-rs request o  Change Controller: IESG o
> > Specification Document(s): [[this specification]]
> >
> > o  Parameter name: ace_server_recipientid o  Parameter usage
> > location: rs-client response o  Change Controller: IESG o
> > Specification Document(s): [[this specification]]
> >
> > thanks,
> >
> > Amanda Baber
> > the contents to any other person, use it for any purpose, or store
> > or copy the information in any medium. Thank you.
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.